package du1;

/**
 *
 * @author Ing. Jaroslav Kuchař <kuchajar at fel.cvut.cz>
 */
public class Byt extends Nemovitost {

    private int pocetMistnosti;

    public Byt(String nazev, String adresa, double plocha, double cena, int pocetMistnosti, Vlastnictvi vlastnictvi) {
        super(nazev, adresa, plocha, cena, vlastnictvi);
        this.pocetMistnosti = pocetMistnosti;
    }

    public int getPocetMistnosti() {
        return pocetMistnosti;
    }

    public void setPocetMistnosti(int pocetMistnosti) {
        this.pocetMistnosti = pocetMistnosti;
    }


    @Override
    public boolean equals(Object obj) {
        if (super.equals(obj)) {
            Byt b = (Byt) obj;
            return (pocetMistnosti == b.pocetMistnosti);
        } else {
            return false;
        }

    }
}
