package du1;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author Ing. Jaroslav Kuchař <kuchajar at fel.cvut.cz>
 */
public class RealitniKancelar implements IRealitniKancelar {

    private String nazev;
    private String adresa;
    private List<Nemovitost> databaze = new ArrayList<Nemovitost>();

    public String getNazev() {
        return nazev;
    }

    public String getAdresa() {
        return adresa;
    }

    public void vypis() {
        for (Nemovitost n : databaze) {
            System.out.println(n);
        }
    }

    public void vloz(Nemovitost n) {
        databaze.add(n);
    }

    public void smaz(Nemovitost n) {
        if (databaze.contains(n)) {
            databaze.remove(n);
        }
    }

    public Nemovitost vrat(int i) {
        if (databaze.size() > i && i >= 0) {
            return databaze.get(i);
        } else {
            return null;
        }
    }

    public void uprav(Nemovitost n, int i) {
        if(i>0 && i<databaze.size()){
            databaze.set(i, n);
        }
    }

    public List<Nemovitost> vratSeznam() {
        return databaze;
    }
}
